POST /v1/follows
Service: follows · operationId: (none)
Required scopes
(no scope declared — review service config)
Request body
{
"type": "object",
"properties": {
"follower_id": {
"type": "string",
"minLength": 1
},
"followee_id": {
"type": "string",
"minLength": 1
},
"brand_id": {
"type": "string",
"minLength": 1
}
},
"required": [
"follower_id",
"followee_id",
"brand_id"
]
}Responses
201 Follow created
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"follower_id": {
"type": "string"
},
"followee_id": {
"type": "string"
},
"brand_id": {
"type": "string"
},
"created_at": {
"type": "string"
}
},
"required": [
"id",
"follower_id",
"followee_id",
"brand_id",
"created_at"
]
}400 Validation error
{
"type": "object",
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"error",
"message"
]
}403 Blocked relationship
{
"type": "object",
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"error",
"message"
]
}409 Already following
{
"type": "object",
"properties": {
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"error",
"message"
]
}Example
curl -X POST https://follows.platform.loop.health/v1/follows \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{ ... }'Related
services/follows— service overview- All endpoints — directory across services
- Auth model — how scopes are enforced